Loading...
Searching...
No Matches
uhd::math Namespace Reference

## Namespaces

namespace | fp_compare

## Enumerations

enum class | interp_mode { NEAREST_NEIGHBOR , LINEAR }

## Functions

UHD_INLINE bool | frequencies_are_equal (double lhs, double rhs)
double | dB_to_lin (const double dB_val)
double | lin_to_dB (const double val)
template<typename T>
constexpr int | sign (T x)
| Returns the sign of x.
double | wrap_frequency (const double requested_freq, const double rate)
| Return a wrapped frequency that is the equivalent frequency in the first.

## Detailed Description

Contains useful mathematical functions, classes, and constants, which should be used in UHD when portable / std options are not available.

## Enumeration Type Documentation

## interp_mode

enum class uhd::math::interp_mode

strong

Enumerator
NEAREST_NEIGHBOR |
LINEAR |

## Function Documentation

## dB_to_lin()

double uhd::math::dB_to_lin | ( | const double | dB_val | ) |

inline

## frequencies_are_equal()

UHD_INLINE bool uhd::math::frequencies_are_equal | ( | double | lhs,
|  | double | rhs )

## lin_to_dB()

double uhd::math::lin_to_dB | ( | const double | val | ) |

inline

## sign()

template<typename T>

int uhd::math::sign | ( | T | x | ) |

inline constexpr

Returns the sign of x.

## wrap_frequency()

double uhd::math::wrap_frequency | ( | const double | requested_freq,
|  | const double | rate )

inline

Return a wrapped frequency that is the equivalent frequency in the first.